Get Funnel Analysis
curl --request GET \
--url https://ebn.telemetree.io/public-api/funnels \
--header 'x-api-key: <api-key>'import requests
url = "https://ebn.telemetree.io/public-api/funnels"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://ebn.telemetree.io/public-api/funnels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"xValues": {
"name": "<string>",
"data_type": "time_series",
"data": [
"<string>"
],
"length": 123,
"key_value": 123,
"empty": false
},
"yValues": [
{
"name": "<string>",
"data_type": "time_series",
"data": [
123
],
"length": 123,
"key_value": 123,
"empty": false,
"change": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Funnels API
Get Funnel Analysis
Description: Retrieves funnel data based on the specified events, start and end dates, and filters.
Parameters:
events: List of eventsfilters: List of filters in Amplitude-like formatgroup_by: List of fields to group byperiod: The start and end dates
Header
x-api-key: Your API Key (Dashboard->Settings)
Returns:
FunnelAnalysisResponse: The transformed funnel data.
Raises:
HTTPException: If an error occurs during the retrieval process.
GET
/
funnels
Get Funnel Analysis
Authorizations
Your API Key (Dashboard->Settings)
Query Parameters
List of events to analyze (at least 2 events are required)
Start date in YYYYMMDD format
End date in YYYYMMDD format